Bug 1302419 - OverflowError: can't convert negative int to unsigned
OverflowError: can't convert negative int to unsigned
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:35f6a8651e701074739275a74c7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-27 15:00 EST by George Milman
Modified: 2016-12-20 13:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:15:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (850.33 KB, text/plain)
2016-01-27 15:00 EST, George Milman
no flags Details
File: anaconda.log (13.93 KB, text/plain)
2016-01-27 15:00 EST, George Milman
no flags Details
File: environ (614 bytes, text/plain)
2016-01-27 15:00 EST, George Milman
no flags Details
File: journalctl (450.47 KB, text/plain)
2016-01-27 15:00 EST, George Milman
no flags Details
File: lsblk_output (3.17 KB, text/plain)
2016-01-27 15:00 EST, George Milman
no flags Details
File: nmcli_dev_list (2.57 KB, text/plain)
2016-01-27 15:00 EST, George Milman
no flags Details
File: os_info (518 bytes, text/plain)
2016-01-27 15:00 EST, George Milman
no flags Details
File: program.log (73.75 KB, text/plain)
2016-01-27 15:00 EST, George Milman
no flags Details
File: storage.log (267.82 KB, text/plain)
2016-01-27 15:01 EST, George Milman
no flags Details
File: ifcfg.log (4.41 KB, text/plain)
2016-01-27 15:01 EST, George Milman
no flags Details

  None (edit)
Description George Milman 2016-01-27 15:00:39 EST
Description of problem:
Attempting to install Fedora - 23 to partition on window 7 hard drive.  Created a 10GB partition using windows 7 utilities.  Booted Fedora iso from CD.  Attempted to install Fedora to hard drive.  Selected hard drive and error occurred.

Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.i686

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.4/site-packages/gi/overrides/GObject.py", line 258, in set_value
    self.set_uint64(py_value)
  File "/usr/lib/python3.4/site-packages/gi/overrides/GObject.py", line 218, in __init__
    self.set_value(py_value)
  File "/usr/lib/python3.4/site-packages/gi/overrides/Gtk.py", line 875, in _convert_value
    return GObject.Value(self.get_column_type(column), value)
  File "/usr/lib/python3.4/site-packages/gi/overrides/Gtk.py", line 857, in _convert_row
    result.append(self._convert_value(cur_col, value))
  File "/usr/lib/python3.4/site-packages/gi/overrides/Gtk.py", line 1199, in _do_insert
    row, columns = self._convert_row(row)
  File "/usr/lib/python3.4/site-packages/gi/overrides/Gtk.py", line 1207, in append
    return self._do_insert(parent, -1, row)
  File "/usr/lib/python3.4/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 187, in populate
    dev.name])
  File "/usr/lib/python3.4/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 325, in refresh
    self.populate(disks)
  File "/usr/lib/python3.4/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 962, in on_back_clicked
    dialog.refresh(disks)
OverflowError: can't convert negative int to unsigned

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-i686-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.i686
other involved packages: python3-gobject-base-3.18.0-1.fc23.i686, anaconda-gui-23.19.10-1.fc23.i686
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 George Milman 2016-01-27 15:00:48 EST
Created attachment 1118863 [details]
File: anaconda-tb
Comment 2 George Milman 2016-01-27 15:00:49 EST
Created attachment 1118864 [details]
File: anaconda.log
Comment 3 George Milman 2016-01-27 15:00:50 EST
Created attachment 1118865 [details]
File: environ
Comment 4 George Milman 2016-01-27 15:00:54 EST
Created attachment 1118866 [details]
File: journalctl
Comment 5 George Milman 2016-01-27 15:00:55 EST
Created attachment 1118867 [details]
File: lsblk_output
Comment 6 George Milman 2016-01-27 15:00:56 EST
Created attachment 1118868 [details]
File: nmcli_dev_list
Comment 7 George Milman 2016-01-27 15:00:57 EST
Created attachment 1118869 [details]
File: os_info
Comment 8 George Milman 2016-01-27 15:00:58 EST
Created attachment 1118870 [details]
File: program.log
Comment 9 George Milman 2016-01-27 15:01:01 EST
Created attachment 1118871 [details]
File: storage.log
Comment 10 George Milman 2016-01-27 15:01:02 EST
Created attachment 1118872 [details]
File: ifcfg.log
Comment 11 Fedora End Of Life 2016-11-24 10:14:10 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2016-12-20 13:15:08 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.